# Date Picker

A Vue implementation of a Eventbree Components date-picker.


## Usage

### Short

```html
<eb-date-picker
  kind="short"
  pattern="\d{1,2}/\d{2}"
  placeholder="mm/yy"
  :flatpickr-options="flatpickrOptions"
  @onChange="actionChange"
>
</eb-date-picker>
```

### Simple

```html
<eb-date-picker
  kind="simple"
  pattern="\d{1,2}/\d{1,2}/\d{4}"
  placeholder="mm/dd/yyyy"
  :flatpickr-options="flatpickrOptions"
  @onChange="actionChange"
>
</eb-date-picker>
```

### Single

```html
<eb-date-picker
  kind="single"
  pattern="\d{1,2}/\d{1,2}/\d{4}"
  placeholder="mm/dd/yyyy"
  :flatpickr-options="flatpickrOptions"
  @onChange="actionChange"
>
</eb-date-picker>
```

### Range

```html
<eb-date-picker
  kind="range"
  pattern="\d{1,2}/\d{1,2}/\d{4}"
  placeholder="mm/dd/yyyy"
  :flatpickr-options="flatpickrOptions"
  @onChange="actionChange"
>
</eb-date-picker>
```

## Attributes

- dateLabel: optional label for the date input (first in range)
- dateEndLabel: optional for the end range date input (first in range)
- kind: 'short', 'simple', 'single', 'range' as per carbon components core only single and range have a date picker
- flatpickrOptions: Options to confiure flatpickr, see flatpickr for full details.

  - e.g. { dateFormat: 'd/m/Y', defaultDate: '01/01/2019' }
  - NOTE: passing event handlers onChange and onValueUpdate are swallowed internally. Both produce an onChange.

- pattern: Regex pattern used for form validation '\\d{1,2}/\\d{1,2}/\\d{4}',
- placeholder: Shown when date picker is empty,
- invalidMessage: Message displayed if invalid is true

## Slots

invalid-message: Overrides the invalid message property

###

## Events

- change raised when single or ranged date picker value changes.
- simpleChange raised when the simple or short text input fields are changed.
