# Link

A Vue implementation of a Eventbree Components link

## Usage

### Inertia Link
By default Inertia links are preferred, simply add an inertia attribute

```html
<eb-link href="/about" inertia>About</eb-link>
```

### Anchor Link

```html
<eb-link href="/about">About</eb-link>
```

### Scroll Link
If you want a Scroll Link, simply add an scroll attribute

```html
<eb-link href="#about" scroll>About</eb-link>
```

### Router Link

Router links are preferred if vue-router is used, simply supply a 'to' instead of a 'href'

```html
<eb-link to="/about">About</eb-link>
```

### Disabled

A link will show as disabled if aria-disabled is true

```html
<eb-link href="#" tabindex="-1" aria-disabled="true"> Disabled link </eb-link>
```

## Attributes

Standard HTML for a, inertia-link or router-link
